#!/bin/sh

set -e

CONF=/etc/freezer/freezer-api.conf

#PKGOS-INCLUDE#

if [ "${1}" = "configure" ] || [ "$1" = "reconfigure" ] ; then
	. /usr/share/debconf/confmodule
	. /usr/share/dbconfig-common/dpkg/postinst

	pkgos_var_user_group freezer /bin/sh

	# Create config files if they don't exist
	pkgos_write_new_conf freezer freezer-paste.ini
        if [ -r /etc/freezer/policy.json ] ; then
                mv /etc/freezer/policy.json /etc/freezer/disabled.policy.json.old
        fi
	pkgos_write_new_conf freezer freezer-api.conf

	db_get freezer-api/configure_db
	if [ "$RET" = "true" ] ; then
	pkgos_dbc_postinst --suite freezer ${CONF} database connection freezer-api $@
		echo "Now doing freezer manage db sync: this may take a while..."
		su freezer -s /bin/sh -c "freezer-manage db sync"
	fi
	pkgos_write_admin_creds ${CONF} keystone_authtoken freezer-api
	pkgos_register_endpoint_postinst freezer-api freezer backup "Freezer Backup Service" 9090 ""
	db_stop
fi

#DEBHELPER#

exit 0

